Generate multiple isochrones and export map (customizable?)

Hi,

I need to generate a map with multiple (> 40) isonchrones around city centers to visualize medical service coverage.

In this regard, I have several questions:

  1. Is there a way/format to upload those locations (in whatever format, i. e. longitude/latitude, postal code or alike) and generate a map with specified parameters (i.e. 45 min drive time, and 45 min. interval)?
  2. Is the map output customizable, i. e. no numbering or different map contents (only large cities)?
  3. Could the result be used in a non-profit medical publication?

Regards

Philip

Hi @cnaehle,

  1. if you are using QGIS this should be possible using the orstools plugin
  2. our online clients: No, these are static osm tiles. For QGIS, yes you can customize the basemap
  3. sure

Best regards

Thanks for your help!

I know I read somewhere that the query limit can be set to a higher limit (by you?) for a specific API key.

I jus finished manually adding all data point to a layer and in total it´s 203 data points. Is it possible and can you do it?

Lastly, is it possible to merge the resulting layer/objects in QGIS - if yes, how?

Thanks in advance!

Best regards

normally the requests per minute should be considered in the tool.
And the 203 data points are way under your daily number of isochrone requests (500).
With 20 requests per minute it should take you a bit over 10 minutes for that dataset.
Did you encounter problems with the limit?

Regarding mergin layers please consult the QGIS documentation.

I was unsure what the problem was (quota?), and I created a 2nd account (Claas.naehle). However, I am still running into an error message for the last data set:

Blockquote

OverQueryLimit: Retrying…

Traceback (most recent call last):
File “/Users/cnaehle/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/ORStools/common/client.py”, line 162, in request
blocking=True)
File “/Users/cnaehle/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/ORStools/common/networkaccessmanager.py”, line 262, in request
raise self.exception_class(self.http_call_result.reason)
ORStools.common.networkaccessmanager.RequestsExceptionTimeout: Network error: Operation canceled

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/cnaehle/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/ORStools/proc/isochrones_layer_proc.py”, line 240, in processAlgorithm
response = clnt.request(’/v2/isochrones/’ + profile, {}, post_json=params)
File “/Users/cnaehle/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins/ORStools/common/client.py”, line 166, in request
raise exceptions.Timeout
ORStools.utils.exceptions.Timeout

Ausführung nach 868.38 Sekunden gescheitert

Blockquote

I created that 3rd and final data set exactly like I did create the other ones… does the timeout exception refer to slow network? On my side or the openrouteserivce side?

Regards